Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher
Class DeploymentService.AppDirWatcher

    java.lang.Object
      org.mule.module.launcher.DeploymentService.AppDirWatcher

All Implemented Interfaces:
  Runnable

Enclosing class:
  DeploymentService

    protected class DeploymentService.AppDirWatcher

extends Object
implements Runnable

Not thread safe. Correctness is guaranteed by a single-threaded executor.

Field Summary
`protected String[]` | `appAnchors`
`protected File` | `appsDir`
`protected String[]` | `deployedApps`

Constructor Summary
`DeploymentService.AppDirWatcher(File appsDir)`

Method Summary
`protected void` | `onApplicationUndeployRequested(String appName)`
`protected void` | `onNewApplicationArchive(File file)`
`protected void` | `onNewExplodedApplication(String appName)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### appsDir

    protected File appsDir

### deployedApps

    protected String[] deployedApps

### appAnchors

    protected String[] appAnchors

Constructor Detail

### DeploymentService.AppDirWatcher

    public DeploymentService.AppDirWatcher(File appsDir)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### onApplicationUndeployRequested

    protected void onApplicationUndeployRequested(String appName)
                                           throws Exception

  Throws:
    `Exception`

### onNewExplodedApplication

    protected void onNewExplodedApplication(String appName)
                                     throws Exception

  Parameters:
    `appName` - application name as it appears in $MULE_HOME/apps
  Throws:
    `Exception`

### onNewApplicationArchive

    protected void onNewApplicationArchive(File file)
                                    throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.